Bug 830005 - ntpd.service fails to start on Boot
ntpd.service fails to start on Boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
17
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 21:20 EDT by stepglenn
Modified: 2012-06-09 09:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 09:35:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stepglenn 2012-06-07 21:20:00 EDT
Description of problem: 
The ntpd.service fails to start from systemd on a fresh boot. Using NetworkManager to activate the network connections. 


Version-Release number of selected component (if applicable):
ntp-4.2.6p5-2.fc17.i686

How reproducible:
Performing a fresh boot of a machine, the NetworkManager.service and the NetworkManager-wait-online.service both complete. The ntpdate.service completes, but the ntpd.service does not.


Steps to Reproduce:
1. reboot
2. ps -e | grep ntpd ( fails nothing found )
3. systemctl status ntpd.service
  
Actual results:
systemctl status ntpd.service 
ntpd.service - Network Time Service
          Loaded: loaded (/usr/lib/systemd/system/ntpd.service; enabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/ntpd.service

Expected results:
systemctl status ntpd.service 
ntpd.service - Network Time Service
          Loaded: loaded (/usr/lib/systemd/system/ntpd.service; enabled)
          Active: active (running) since Thu, 07 Jun 2012 18:30:01 -0600; 47min ago
        Main PID: 2788 (ntpd)
          CGroup: name=systemd:/system/ntpd.service
                  └ 2788 /usr/sbin/ntpd -u ntp:ntp -g


Additional info:
It seems that there could be a race from the NetworkManager completion and the actual IP address assignment for NTPD to use?
Comment 1 stepglenn 2012-06-09 09:35:50 EDT
Make sure that the following systemd target/services are *enabled* :

  NetworkManager.service
  NetworkManager-wait-online.service

  systemd-timedated-ntp.target
  ntpdate.service
  ntpd.service
  ntp-wait.service

With this, all is well in NTP land after a system reboot.

Note You need to log in before you can comment on or make changes to this bug.